
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


:root{
    --base-color: white;
    --base-variant: rgb(203, 203, 203);
    --text-color: rgb(0, 0, 0);
    --Secondary-text: rgb(247, 247, 247);
    --primary-color: rgb(23, 23, 23);
    --thercolor: black;
    --link: rgb(93, 85, 255);
}

.darkmode{
    --base-color: rgb(2, 2, 2);
    --base-variant: rgb(19, 19, 19);
    --text-color: rgb(230, 230, 230);
    --Secondary-text: rgb(223, 223, 223);
    --primary-color: rgb(239, 239, 239);
    --thercolor: rgb(72, 72, 72);
}

#theme-switch {
    height: 50px;
    width: 50px;
    padding: 0;
    border-radius: 50%;
    background-color: var(--thercolor);
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 20px;
    right: 20px;
}

#theme-switch svg:last-child{
    display: none;
}

.darkmode #theme-switch svg:first-child{
    display: none;
}

.darkmode #theme-switch svg:last-child{
    display: block;
}

.rfn{
    color: var(--text-color);   
    background-color: var(--base-color);
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background-color: var(--base-color);
    color: var(--primary-color);
    padding: 20px;
    font-size: 2vw;
}

header {
    background: var(--thercolor);
    padding: 10px 0;
    text-align: center;
}

.trdf {
    color: var(--Secondary-text);
}

a {
    text-decoration: none;
    font-weight: bold;
    color: var(--link);
}

a:hover {
    text-decoration: underline;
}

header a {
    color: var(--text-color);
}

header h1 {
    margin: 0;
    color: var(--Secondary-text);
}

nav ul {
    list-style: none;
    padding: 0;
}

nav ul li {
    display: inline;
    margin: 0 10px;
}

nav ul li a {
    color: var(--Secondary-text);
    text-decoration: none;
}

section {
    margin: 20px 0;
}

section h2 {
    margin-bottom: 10px;
}

.project {
    background: var(--base-color);
    padding: 10px;
    margin-bottom: 10px;
    box-shadow: 0 0 10px var(--primary-color);
}

.promo {
    background: var(--base-color);
    padding: 10px;
    margin-bottom: 10px;
    box-shadow: 0 0 10px gold;
}

.pack {
    background: var(--base-color);
    padding: 10px;
    margin-bottom: 10px;
    box-shadow: 0 0 10px green;
}

form {
    display: flex;
    flex-direction: column;
}

form label {
    margin-bottom: 5px;
}

form input,
form textarea {
    margin-bottom: 10px;
    padding: 10px;
    border: 1px solid var(--base-color);
}

form button {
    padding: 10px;
    background: var(--primary-color);
    color: var(--base-color);
    border: none;
    cursor: pointer;
}

form button:hover {
    background: var(--primary-color);
}


footer {
    text-align: center;
    margin-top: 20px;
}

.decotion1 {
    position: fixed;
    left: 0;
    width: 50%;
    height: 50%;
    size-adjust: 50%;
    border-radius: 30%;
}

.back-to-top {
    position: fixed; 
    bottom: 20px; 
    right: 20px; 
    display: none; 
    width: 50px;
    height: 50px;
    background-color: var(--primary-color);
    color: var(--base-color);
    text-align: center;
    line-height: 50px;
    border-radius: 50%;
    cursor: pointer;
    font-size: 24px;
    z-index: 1000; 
}

.back-to-top:hover {
    background-color: var(--primary-color);
}